local Addon, private = ...

setfenv(1, private)
local disabledColor = "f30000"--"ff0000"
local secureColor = "fff600"
local nilColor = "888888"--"9f9f9e"
local rawColoredFormat = [[<font color="#%s">%%s</font>]]

Const = {
	-- UI layout
	padding = 5, -- Space between UI elements
	
	-- Text display
	deprecatedTitleFormat = "%s" .. string.format(string.format(rawColoredFormat, disabledColor), " [deprecated!]"),
	secureTitleFormat = "%s" .. string.format(string.format(rawColoredFormat, secureColor), " [secure]"),
	titleAdditionFormat = "%s" .. string.format(string.format(rawColoredFormat, "ffffff"), " [throttled]"),
	methodIndexFormat = string.format([[<font color="#%s">%%s</font>:%%s]], nilColor),
	disabledMethodIndexFormat = string.format([[<font color="#%s">%%s</font><font color="#%s">:%%s</font>]], nilColor, disabledColor),
	disabledFormat = string.format(rawColoredFormat, disabledColor),
	moduleLinkFormat = string.format([=[<font color="#%s"><u><a lua="%s.PushPage([[%%s]], [[%%s]])">%%s</a></u></font>]=], LibWiki.DefaultStyle.a.color, Addon.identifier),
	
	-- Animations
	animationDuration = 0.3, -- Duration for normal UI animations
	
	-- Navigation
	indexPath = "INDEX",
}
