local Addon, private = ...

setfenv(1, private)

-- Private methods
-- ============================================================================

local frame
local links = { }

-- Public methods
-- ============================================================================

frame = function(parent)
	local self = UI.CreateFrame("Mask", "", parent)
	self:SetBackgroundColor(0, 0, 0, 0.5)
	
	self.modules = { }
	
	frame = self
	
	LibrariesChanged()
	return self
end

function ModuleFrame(parent)
	if(type(frame) == "function") then
		return frame(parent)
	else
		return frame
	end
end

function LibrariesChanged()
	if(type(frame) ~= "function") then
		local libs = Libraries.Index()
		local self = frame
		
		for i = 1, #libs do
			local link = links[i]
			if(not link) then
				link = UI.CreateFrame("Text", "", self)
				link:SetFontSize(14)
				links[i] = link
				if(i == 1) then
					link:SetPoint("TOPLEFT", self, "TOPLEFT", Const.padding, 10)
				else
					link:SetPoint("TOPLEFT", links[i - 1], "BOTTOMLEFT")
				end
			end
			anchor = link
			link:SetText(libs[i], true)
		end
	end
end
