if(not ApiBrowser) then
	return -- Don't process the remaining file if ApiBrowser is not installed
end

local symbols = { }

symbols["MyAddon.Foo"] = {
	summary = [[
what does this do?]],
	signatures = {
		"MyAddon.Foo(a, b, c) -- string, number, X/nil",
	},
	parameter = {
		["a"] = "Some highly important parameter.",
		["b"] = "Another important thing.",
		["c"] = "Less important, can be nil.",
	},
	result = {
	},
	type = "function",
}

symbols["X"] = {
	summary = [[
This is not a function but actually a type. ApiBrowser will automatically link to it from MyAddon.Foo.]],
	type = "type",
}

symbols["X:Do"] = {
	summary = [[
This is a method of object X and will be grouped accordingly.]],
	signatures = {
		"f = X:PushPage(a, b) -- function <- string, boolean",
	},
	parameter = {
		["a"] = "Some highly important parameter.",
		["b"] = "Another important thing.",
	},
	result = {
		["f"] = "A function which solves all your problems."
	},
	type = "function",
}

symbols["Bar"] = {
	summary = [[
A random page which is neither an object, function ro whatever. Grouped under the "Other" section.]],
}

local summary = [[Summary of your library goes here]]

local Addon = ...
ApiBrowser.AddLibraryWithRiftLikeCatalogIndex(Addon.identifier, Addon.toc.Name, summary, symbols)
