local Addon, private = ...

setfenv(1, private)

local summary = [[Listed here is the addon API as provided by Trion via it's ingame mechanics. All texts are automatically generated from <<:Inspect.Documentation>>.]]
Libraries.AddLibraryWithRiftLikeCatalogIndex("Rift", "Rift", summary, Inspect.Documentation(),
	function(path)
		return Inspect.Documentation(path, true)
	end,
	function(parent, pageBulider, path)
		if(path == Const.indexPath) then
			return RiftLikeCatalogIndexPage(parent, pageBulider, "Rift", "Rift", {
				"By Category",
				"Objects",
				"Other",
			}), "Rift"
		else
			return nil
		end
	end
)

-- Perform some corrections on the Rift docset
do
	local rift = Catalog.GetCatalog("Rift")
	
	local function separate(part)
		local index = "category:" .. part
		if(not rift[1][index]) then
			return
		end
		for name in pairs(rift[1][index]) do
			local category = string.match(name, "^" .. part .. "%.([%w_]+)$")
			if(category) then
				local index2 = "category:" .. category
				if(not rift[1][index2]) then
					rift[1][index2] = { }
					rift.map[index2] = category
				end
				rift[1][index2][name] = true
				rift[1][index][name] = nil
			end
		end
		if(not next(rift[1][index])) then
			rift[1][index] = nil
		end
	end
	
	separate("Command")
	separate("Event")
	separate("Inspect")
end